package w83b.w83bManager;

import java.util.List;

import org.apache.commons.lang.StringUtils;


import w83b.w83bBeans.W83bTramitesBean;
import w83b.w83bDAO.W83bFactoriaDAO;


public class W83bTramites implements W83bITramites {

	public List buscarTramites(W83bTramitesBean param) throws Exception {
		
		List listaTramites = W83bFactoriaDAO.getMantenimientosDAO().buscarTramites(param);
		
		return listaTramites;
	}

	public W83bTramitesBean detalleTramites(W83bTramitesBean param)
			throws Exception {
						
		w83b.w83bBeans.W83bTramitesBean tramites = W83bFactoriaDAO.getMantenimientosDAO().detalleTramites(param);	
		
		return tramites;
	}

	public String modificarTramites(W83bTramitesBean param) throws Exception {
		
				
		String resultado = "0";		
		if(StringUtils.isNotEmpty(param.getDescTramite())||StringUtils.isNotEmpty(param.getDescTramiteEusk())){
			resultado = W83bFactoriaDAO.getMantenimientosDAO().modificarTramites(param);
		}else{
				resultado = "-1";
		}			
		return resultado;
	}
	
}